Bug 140803 - Update www/opera and www/opera-linuxplugins to Opera 10.10
Summary: Update www/opera and www/opera-linuxplugins to Opera 10.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-23 09:40 UTC by Arjan van Leeuwen
Modified: 2009-12-08 13:50 UTC (History)
1 user (show)

See Also:


Attachments
opera.diff (4.96 KB, patch)
2009-11-23 09:40 UTC, Arjan van Leeuwen
no flags Details | Diff
vuln.xml.diff (1.52 KB, patch)
2009-11-23 09:40 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2009-11-23 09:40:04 UTC

This patch updates www/opera and www/opera-linuxplugins to version 10.10.

It also includes VuXML diffs for reported security issues.

Changelog: http://www.opera.com/docs/changelogs/unix/1010/

Fix: diff -urN /usr/ports/www/opera-linuxplugins/Makefile opera-linuxplugins/Makefile
--- /usr/ports/www/opera-linuxplugins/Makefile	2009-09-04 08:33:13.000000000 +0200
+++ opera-linuxplugins/Makefile	2009-11-23 10:27:04.045031414 +0100
@@ -31,11 +31,11 @@
 
 RUN_DEPENDS=	${PREFIX}/share/opera/bin/operapluginwrapper:${PORTSDIR}/www/opera
 
-OPERA_VER=	10.00
+OPERA_VER=	10.10
 OPERA_MINVER=
 OPERA_REL=	final
-OPERA_DATE=	20090830
-OPERA_BUILD=	4585
+OPERA_DATE=	20091120
+OPERA_BUILD=	4742
 MASTER_SITES_VER_PATH=	linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/
 WRKSRC=		${WRKDIR}/${PORTNAME}-${OPERA_VER}-${OPERA_BUILD}.gcc3-shared-qt3.i386
 
diff -urN /usr/ports/www/opera-linuxplugins/distinfo opera-linuxplugins/distinfo
--- /usr/ports/www/opera-linuxplugins/distinfo	2009-09-04 08:33:13.000000000 +0200
+++ opera-linuxplugins/distinfo	2009-11-23 10:27:36.963298241 +0100
@@ -1,3 +1,3 @@
-MD5 (opera-10.00.gcc3-shared-qt3.i386.tar.bz2) = 44d69eb6e560817c6f43f1088c177410
-SHA256 (opera-10.00.gcc3-shared-qt3.i386.tar.bz2) = 3c8903b70eaa0814be32c53f487f608cc188921a53ce79891d0d54defd856e3b
-SIZE (opera-10.00.gcc3-shared-qt3.i386.tar.bz2) = 8560423
+MD5 (opera-10.10.gcc3-shared-qt3.i386.tar.bz2) = ef51f43ca638ba2fddc187ab541f7735
+SHA256 (opera-10.10.gcc3-shared-qt3.i386.tar.bz2) = e799dd409a66c2e91c9301a12d445dd8ba6a4e4204bf38c2a6d1369e970517df
+SIZE (opera-10.10.gcc3-shared-qt3.i386.tar.bz2) = 11775545
--- opera-linuxplugins.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2009-11-23 09:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-12-03 10:12:42 UTC
itetcu      2009-12-03 10:12:34 UTC

  FreeBSD ports repository

  Modified files:
    www/opera-linuxplugins Makefile distinfo 
  Log:
  Update to 10.10
  
  PR:             140803
  Submitted by:   maintainer
  Security:       VUXML: dded29cb-d812-11de-a33c-001999392805
  
  Revision  Changes    Path
  1.11      +3 -3      ports/www/opera-linuxplugins/Makefile
  1.7       +3 -3      ports/www/opera-linuxplugins/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-12-03 10:12:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Thomas E. Spanjaard 2009-12-07 20:01:48 UTC
This update breaks IPv6 (AAAA) lookups completely. Opera bug:
DSK-273178; however, you can't browse reports from some odd reason.
-- 
	Thomas E. Spanjaard
	tgen@netphreax.net
	tgen@deepbone.net
Comment 5 Thomas E. Spanjaard 2009-12-08 13:39:01 UTC
Ion-Mihai Tetcu wrote:
> On Mon, 7 Dec 2009 20:20:04 GMT
> "Thomas E. Spanjaard" <tgen@deepbone.net> wrote:
>>  This update breaks IPv6 (AAAA) lookups completely. Opera bug:
>>  DSK-273178; however, you can't browse reports from some odd reason.
> 
> Given the other changes, including security fixes, and the extent of
> usage IPv6 has I don't think it would be a good idea to roll back this
> update.


I didn't expect that to happen either, but having a paper trail might be
useful to expedite things on Opera's end, since their bug tracking
system isn't public :).

Cheers,
-- 
	Thomas E. Spanjaard
	tgen@netphreax.net
	tgen@deepbone.net